com.corticon.rulesemf.operationsmodel.util

## Class OperationsmodelAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.operationsmodel.util.OperationsmodelAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory
  Direct Known Subclasses:
    OperationsmodelItemProviderAdapterFactory

      public class OperationsmodelAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `OperationsmodelPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static OperationsmodelPackage` | `modelPackage` The cached model package
    `protected OperationsmodelSwitch` | `modelSwitch` The switch that delegates to the `createXXX` methods

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationsmodelAdapterFactory()` Creates an instance of the adapter factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
    `org.eclipse.emf.common.notify.Adapter` | `createAssetAdapter()` Creates a new adapter for an object of class '`Asset`'
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case
    `org.eclipse.emf.common.notify.Adapter` | `createExtendedOperatorSetAdapter()` Creates a new adapter for an object of class '`Extended Operator Set`'
    `org.eclipse.emf.common.notify.Adapter` | `createMethodAdapter()` Creates a new adapter for an object of class '`Method`'
    `org.eclipse.emf.common.notify.Adapter` | `createOperatorNodeAdapter()` Creates a new adapter for an object of class '`Operator Node`'
    `org.eclipse.emf.common.notify.Adapter` | `createOperatorTreeAdapter()` Creates a new adapter for an object of class '`Operator Tree`'
    `org.eclipse.emf.common.notify.Adapter` | `createServiceCalloutAdapter()` Creates a new adapter for an object of class '`Service Callout`'
    `org.eclipse.emf.common.notify.Adapter` | `createStandAloneExtensionAdapter()` Creates a new adapter for an object of class '`Stand Alone Extension`'
    `org.eclipse.emf.common.notify.Adapter` | `createTypeExtensionAdapter()` Creates a new adapter for an object of class '`Type Extension`'
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static OperationsmodelPackage modelPackage

      The cached model package.

    - #### modelSwitch

          protected OperationsmodelSwitch modelSwitch

      The switch that delegates to the `createXXX` methods.

  - ### Constructor Detail

    - #### OperationsmodelAdapterFactory

          public OperationsmodelAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createOperatorTreeAdapter

          public org.eclipse.emf.common.notify.Adapter createOperatorTreeAdapter()

      Creates a new adapter for an object of class '`Operator Tree`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `OperatorTree`

    - #### createOperatorNodeAdapter

          public org.eclipse.emf.common.notify.Adapter createOperatorNodeAdapter()

      Creates a new adapter for an object of class '`Operator Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `OperatorNode`

    - #### createMethodAdapter

          public org.eclipse.emf.common.notify.Adapter createMethodAdapter()

      Creates a new adapter for an object of class '`Method`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Method`

    - #### createExtendedOperatorSetAdapter

          public org.eclipse.emf.common.notify.Adapter createExtendedOperatorSetAdapter()

      Creates a new adapter for an object of class '`Extended Operator Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExtendedOperatorSet`

    - #### createStandAloneExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createStandAloneExtensionAdapter()

      Creates a new adapter for an object of class '`Stand Alone Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `StandAloneExtension`

    - #### createTypeExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createTypeExtensionAdapter()

      Creates a new adapter for an object of class '`Type Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TypeExtension`

    - #### createServiceCalloutAdapter

          public org.eclipse.emf.common.notify.Adapter createServiceCalloutAdapter()

      Creates a new adapter for an object of class '`Service Callout`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ServiceCallout`

    - #### createAssetAdapter

          public org.eclipse.emf.common.notify.Adapter createAssetAdapter()

      Creates a new adapter for an object of class '`Asset`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Asset`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.